#
# Conditional build:
%bcond_without	python2	# CPython 2.x binding
%bcond_without	python3	# CPython 3.x binding

Summary:	Python 2 binding for the ALSA library
Summary(pl.UTF-8):	Wiązanie Pythona 2 do biblioteki ALSA
Name:		python-pyalsa
Version:	1.2.12
Release:	1
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	ftp://ftp.alsa-project.org/pub/pyalsa/pyalsa-%{version}.tar.bz2
# Source0-md5:	876957bfc35f68e5cc0d32a563f43807
Patch0:		python2.patch
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.29
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	alsa-lib >= 1.0.29
Requires:	python-libs >= 1:2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 binding for the ALSA library.

%description -l pl.UTF-8
Wiązanie Pythona 2 do biblioteki ALSA.

%package -n python3-pyalsa
Summary:	Python 3 binding for the ALSA library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki ALSA
Group:		Libraries/Python
Requires:	alsa-lib >= 1.0.29
Requires:	python3-libs >= 1:3.2

%description -n python3-pyalsa
Python 3 binding for the ALSA library.

%description -n python3-pyalsa -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki ALSA.

%prep
%setup -q -n pyalsa-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/pyalsa
%attr(755,root,root) %{py_sitedir}/pyalsa/alsa*.so
%{py_sitedir}/pyalsa/__init__.py[co]
%{py_sitedir}/pyalsa-%{version}-*.egg-info
%endif

%if %{with python3}
%files -n python3-pyalsa
%defattr(644,root,root,755)
%dir %{py3_sitedir}/pyalsa
%attr(755,root,root) %{py3_sitedir}/pyalsa/alsa*.cpython-*.so
%{py3_sitedir}/pyalsa/__init__.py
%{py3_sitedir}/pyalsa/__pycache__
%{py3_sitedir}/pyalsa-%{version}-py*.egg-info
%endif
%changelog
* Fri Jun 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyalsa.git;a=log;h=master

* Wed Jun 12 2024 Jan Palus <atler@pld-linux.org> 09c1dfe
- up to 1.2.12

* Mon Jun 06 2022 Jan Palus <atler@pld-linux.org> 1e6544b
- up to 1.2.7

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7d9ca04
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7cd21b4
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 98329c7
- rebuild with python 3.10

* Tue Dec 07 2021 Jan Palus <atler@pld-linux.org> f4f80f2
- up to 1.2.6

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> e2a820c
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> e509053
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2d151e9
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e03ccd6
- release 2 (by relup.sh)

* Tue Apr 10 2018 Jakub Bogusz <qboosh@pld-linux.org> c07ef14
- updated to 1.1.6
- added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 95a5dcb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3cd899e
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2696213
- automatic change: use py_build/py_install macros

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 14cb656
- updated to 1.0.29

* Sat Sep 08 2012 Jakub Bogusz <qboosh@pld-linux.org> eb7c992
- updated to 1.0.26

* Fri Jan 27 2012 Jakub Bogusz <qboosh@pld-linux.org> cd0f4cf
- updated to 1.0.25

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> b9207e0
- updated to 1.0.24

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 9961233
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e6c643
- release 2

